# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Catalyst.pm) perl(Catalyst/Controller.pm) perl(Catalyst/Model.pm) perl(Catalyst/Utils.pm) perl(Config.pm) perl(Fcntl.pm) perl(FindBin.pm) perl(Moose.pm) perl(Scalar/Util.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Catalyst-Model-Adaptor
Version:        0.10
Release:        alt1_5
Summary:        Use a plain class as a Catalyst model
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Catalyst-Model-Adaptor/
Source0:        http://www.cpan.org/authors/id/B/BO/BOBTFISH/Catalyst-Model-Adaptor-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Catalyst/Runtime.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(MRO/Compat.pm)
BuildRequires:  perl(ok.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/WWW/Mechanize/Catalyst.pm)


Source44: import.info

%description
The idea is that you don't want your Catalyst model to be anything other
than a line or two of glue. Using this module ensures that your Model
classes are separate from your application and therefore are well-
abstracted, reusable, and easily testable.

%prep
%setup -q -n Catalyst-Model-Adaptor-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1_5
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1_4
- update to new release by fcimport

* Sun May 27 2012 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1_2
- fc import

